For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • GETList Registered Users
      • POSTCreate Registered User
      • GETGet Registered User
      • DELDelete Registered User
      • PATCHUpdate Registered User
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerRegistered Users

Create Registered User

POST
https://ah-api.merge.dev/api/v1/registered-users
POST
/api/v1/registered-users
$curl -X POST https://ah-api.merge.dev/api/v1/registered-users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "origin_user_id": "user1234",
> "origin_user_name": "Yash",
> "shared_credential_group": {
> "origin_company_id": "merge-1234",
> "origin_company_name": "Merge",
> "custom_groupings": {
> "department": "engineering"
> }
> },
> "user_type": "HUMAN"
>}'
201Create User Request
1{
2 "id": "91b2b905-e866-40c8-8be2-efe53827a0aa",
3 "origin_user_id": "user1234",
4 "shared_credential_group": {
5 "origin_company_id": "merge-1234",
6 "origin_company_name": "Merge",
7 "custom_groupings": {
8 "department": "engineering"
9 }
10 },
11 "authenticated_connectors": [
12 "linear",
13 "jira",
14 "slack"
15 ],
16 "origin_user_name": "Yash",
17 "user_type": "HUMAN",
18 "is_test": false
19}
Creates a Registered User with the given values
Was this page helpful?
Previous

List Registered Users

Next

Get Registered User

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Request

This endpoint expects an object.
origin_user_idstringRequired
Unique identifier for Registered User
origin_user_namestringRequired
The human readable name of Registered User
shared_credential_groupobjectRequired
Object used to identify which the groupings a Registered User is part of and can share credentials across.
user_typeenum or nullOptionalDefaults to HUMAN

ENUM of HUMAN or SYSTEM

  • HUMAN - HUMAN
  • SYSTEM - SYSTEM
Allowed values:

Response

idstringRead-only
origin_user_idstringRead-only
Unique identifier for Registered User
shared_credential_groupobject
Object used to identify which the groupings a Registered User is part of and can share credentials across.
authenticated_connectorslist of stringsRead-only
List of connector slugs that the user has authenticated with
origin_user_namestringDefaults to Yash
The human readable name of Registered User
user_typestringDefaults to HUMAN

ENUM of HUMAN or SYSTEM

is_testbooleanDefaults to false
Whether this is a test user or production user